Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have installed Eclipse 3.7.2 via PPA and subsequently I have clicked on Add New Software and the link to 64Bit Aptana studio 3.

It found the plugin and installed it correctly.

Now when I startup the Eclipse I get this error:

An internal error has occurred.
No more handlesNative code library failed to load. (java.lang.UnsatisfiedLinkError: /home/xxx/.eclipse/org.eclipse.platform_3.7.0_155965261/plugins/com.aptana.swt.webkitbrowser.linux.x86_64_1.0.0.1295409059/os/linux/x86_64/libcefjni.so: libjpeg.so.62: cannot open shared object file: No such file or directory)

Any idea please?

Update:

Seems to be the Java version:

!SESSION 2012-04-30 07:48:06.985 -----------------------------------------------
eclipse.buildId=I20110613-1736
java.version=1.7.0_04
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_GB
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.osgi 4 0 2012-04-30 07:48:07.951
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
        no swt-gtk-3740 in java.library.path
        no swt-gtk in java.library.path
        Can't load library: /home/xxx/.swt/lib/linux/x86_64/libswt-gtk-3740.so
        Can't load library: /home/xxx/.swt/lib/linux/x86_64/libswt-gtk.so

        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:285)
        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:194)
        at org.eclipse.swt.internal.C.<clinit>(C.java:21)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
        at org.eclipse.swt.widgets.Display.<clinit>(Display.java:132)
        at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:695)
        at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
share|improve this question

3 Answers 3

up vote 2 down vote accepted

I found the solution here:

http://www.samclarke.com/2012/04/how-to-install-aptana-studio-3-on-ubuntu-12-04-lts-precise-pangolin/

share|improve this answer
    
But this problem remains.. stackoverflow.com/questions/10261037/… –  Kave Apr 30 '12 at 19:48

Have you consider using aptana as standalone version? I Use aptana every day and there's no conflict at all with my Ubuntu 12.04.

Consider asking in the official Support page: Aptana | Support

Or see if is that is a current bug.

I hope you find a solution (:

share|improve this answer
    
yeah I have tried that and get this error message: stackoverflow.com/questions/10261037/… :) –  Kave Apr 30 '12 at 6:36

This might be the same problem: http://stackoverflow.com/a/10482634/207791

I had same problem with Oracle Java 7 and Eclipse on 32-bit system.

libswt-gtk-3.6-java and libswt-gtk-3.6-jni were already installed. What helped:

cd ~/.swt/lib/linux/x86
ln -s /usr/lib/jni/* .

Maybe this can be done reconfiguring Java alternatives or what.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.